# Command: LayoutArray

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    LayoutArray - build a multidimensional array

Synopsis:

    [d1 d2 ...] val LayoutArray -> [...]

Examples:

      [5] 1 LayoutArray -> [1 1 1 1 1]
      [2 3] 1.0 LayoutArray -> [ [1.0 1.0 1.0] [1.0 1.0 1.0]]

Description:

      LayoutArray generates a multi-dimensional array which is
      initialised to val.

Parameters:

    [d1 d2 ...]	- Array with dimensions.
      val		- initialisation value for array entries

Author:

    Marc-oliver Gewaltig

FirstVersion:

    20.6.02

SeeAlso:

- ArrayShape
- Range
- Table
- Dimensions
- array

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative